Bug 174646 - update www/py-requests to 1.0.3
Summary: update www/py-requests to 1.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-22 21:50 UTC by Rene Ladan
Modified: 2013-04-26 09:40 UTC (History)
0 users

See Also:


Attachments
file.diff (33.91 KB, patch)
2012-12-22 21:50 UTC, Rene Ladan
no flags Details | Diff
requests.diff.txt (33.91 KB, text/plain; charset=UTF-8)
2012-12-23 22:48 UTC, Rene Ladan
no flags Details
py-requests-1.1.0.diff (34.20 KB, patch)
2013-02-19 13:10 UTC, Alexey Degtyarev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2012-12-22 21:50:00 UTC
update www/py-requests to 1.0.3.

Note that this change is incompatible with the version 0.14.1 which is currently in the Ports Tree, and there are 4 dependent ports (below) according to INDEX-9, so a repocopy or updating the below ports could be desired:

devel/py-rauth
www/py-grequests
www/py-requests-oauth-hook
www/py-slumber

Also note that besides a big code overhaul (including oauth being removed from the distribution file and the dependency list), the license has changed from ISCL to AL2.

Build logs at http://rene-ladan.nl/tb/logs/7-FreeBSD/py27-requests-1.0.3.log (and 8-FreeBSD, 9-FreeBSD)

Fix: Patch attached with submission follows:
How-To-Repeat: Try running some code requiring requests >= 1.0.0 which bails out on a type error.
Comment 1 Edwin Groothuis freebsd_committer 2012-12-22 21:50:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-12-22 21:50:20 UTC
Maintainer of www/py-requests,

Please note that PR ports/174646 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/174646

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-12-22 21:50:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Rene Ladan freebsd_committer 2012-12-23 22:48:45 UTC
Attached is a patch for 0.14.1 to 1.0.4

René
Comment 5 Alexey Degtyarev 2013-02-18 11:29:50 UTC
Hello Kubilay,

Any plans to update py-requests to 1.x.y? (1.1.0 is out)


All the best,

-- 
Alexey V. Degtyarev
Comment 6 koobs 2013-02-18 12:24:26 UTC
Absolutely, though given the backwards incompatible changes introduced,
I want to be careful all dependent ports will work.

Can you take the patch as submitted and let me know how you go?
Comment 7 Alexey Degtyarev 2013-02-19 13:10:22 UTC
On 23:24 Mon 18 Feb, Kubilay Kocak wrote:

> Absolutely, though given the backwards incompatible changes introduced,
> I want to be careful all dependent ports will work.
> 
> Can you take the patch as submitted and let me know how you go?

The thing is that software I maintain (devel/py-botocore) requires
py-requests 1.1.0, so I can't be sure if older versions are OK.

I think it make sense to update requests to 1.1.0 at once, instead of
upgrading to 1.0.4. The attached patch to py-requests of version
currently existing in ports tree (0.14.3). It works just fine for me.

-- 
Alexey V. Degtyarev
Comment 8 Martin Wilke freebsd_committer 2013-04-17 01:58:06 UTC
Responsible Changed
From-To: freebsd-python->miwi

I'll take it.
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2013-04-17 12:48:45 UTC
Responsible Changed
From-To: miwi->koobs

I'll take it. I have a patch in flight, testing and QA left to go.
Comment 10 dfilter service freebsd_committer 2013-04-26 03:59:08 UTC
Author: koobs
Date: Fri Apr 26 02:58:51 2013
New Revision: 316554
URL: http://svnweb.freebsd.org/changeset/ports/316554

Log:
  - Update to 1.1.0
  - Update pkg-plist
  - Remove unnecessary RUN_DEPENDS
  - Update USE_PYTHON version compatibility
  - Update regression-test: target
  - Update pkg-descr and WWW: tab->space
  - Remove unnecessary patches
  
  Changes: https://github.com/kennethreitz/requests/blob/v1.1.0/HISTORY.rst
  
  PR:		ports/174646
  Submitted by:	rene, Alexey V. Degtyarev <alexey@renatasystems.org>
  Approved by:	eadler (mentor)

Deleted:
  head/www/py-requests/files/
Modified:
  head/www/py-requests/Makefile
  head/www/py-requests/distinfo   (contents, props changed)
  head/www/py-requests/pkg-descr   (contents, props changed)
  head/www/py-requests/pkg-plist   (contents, props changed)

Modified: head/www/py-requests/Makefile
==============================================================================
--- head/www/py-requests/Makefile	Fri Apr 26 02:57:22 2013	(r316553)
+++ head/www/py-requests/Makefile	Fri Apr 26 02:58:51 2013	(r316554)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	requests
-PORTVERSION=	0.14.1
+PORTVERSION=	1.1.0
 CATEGORIES=	www python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -12,14 +12,10 @@ COMMENT=	HTTP library written in Python 
 
 LICENSE=	ISCL
 
-RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}certifi>0:${PORTSDIR}/security/py-certify \
-		${PYTHON_PKGNAMEPREFIX}oauthlib>=0.1.0:${PORTSDIR}/security/py-oauthlib
-
-USE_PYTHON=	-3.1
+USE_PYTHON=		yes
 USE_PYDISTUTILS=	easy_install
 
-test: build
-	${TOUCH} ${WRKSRC}/tests/__init__.py
-	cd ${WRKSRC} && ${PYTHON_CMD} ${PYSETUP} test
+regression-test: build
+	@cd ${WRKSRC} && ${PYTHON_CMD} test_requests.py
 
 .include <bsd.port.mk>

Modified: head/www/py-requests/distinfo
==============================================================================
--- head/www/py-requests/distinfo	Fri Apr 26 02:57:22 2013	(r316553)
+++ head/www/py-requests/distinfo	Fri Apr 26 02:58:51 2013	(r316554)
@@ -1,2 +1,2 @@
-SHA256 (requests-0.14.1.tar.gz) = 4f563b907782b2c95dd2cbaf882a96133e567d46290a0e7aafa0c6f3efad19ba
-SIZE (requests-0.14.1.tar.gz) = 523254
+SHA256 (requests-1.1.0.tar.gz) = 21a81ddf1a3c2f956524538966ae19c38cae251f5629821588cdc8246a1335f7
+SIZE (requests-1.1.0.tar.gz) = 337229

Modified: head/www/py-requests/pkg-descr
==============================================================================
--- head/www/py-requests/pkg-descr	Fri Apr 26 02:57:22 2013	(r316553)
+++ head/www/py-requests/pkg-descr	Fri Apr 26 02:58:51 2013	(r316554)
@@ -1,6 +1,7 @@
 Requests is an ISC Licensed HTTP library, written in Python, for human beings.
 
 Features
+
 - International Domains and URLs
 - Keep-Alive & Connection Pooling
 - Sessions with Cookie Persistence
@@ -12,6 +13,7 @@ Features
 - Multipart File Uploads
 - Connection Timeouts
 - .netrc support
+- Python 2.6-3.3
 - Thread-safe
 
-WWW:	http://python-requests.org/
+WWW: http://python-requests.org/

Modified: head/www/py-requests/pkg-plist
==============================================================================
--- head/www/py-requests/pkg-plist	Fri Apr 26 02:57:22 2013	(r316553)
+++ head/www/py-requests/pkg-plist	Fri Apr 26 02:58:51 2013	(r316554)
@@ -6,15 +6,12 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/_oauth.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/_oauth.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/_oauth.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/adapters.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/adapters.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/adapters.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/api.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/api.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/api.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/async.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/async.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/async.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/auth.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/auth.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/auth.pyo
@@ -28,9 +25,6 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/cookies.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/cookies.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/cookies.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/defaults.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/defaults.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/defaults.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/exceptions.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/exceptions.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/exceptions.pyo
@@ -43,219 +37,114 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/__init__.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/__init__.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5freq.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5freq.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5freq.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5prober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5prober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5prober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/chardistribution.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/chardistribution.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/chardistribution.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetgroupprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetgroupprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetgroupprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/codingstatemachine.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/codingstatemachine.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/codingstatemachine.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/constants.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/constants.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/constants.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escsm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escsm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escsm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/eucjpprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/eucjpprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/eucjpprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrfreq.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrfreq.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrfreq.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwfreq.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwfreq.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwfreq.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312freq.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312freq.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312freq.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312prober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312prober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312prober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/hebrewprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/hebrewprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/hebrewprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jisfreq.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jisfreq.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jisfreq.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jpcntx.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jpcntx.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jpcntx.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langbulgarianmodel.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langbulgarianmodel.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langbulgarianmodel.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langcyrillicmodel.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langcyrillicmodel.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langcyrillicmodel.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langgreekmodel.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langgreekmodel.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langgreekmodel.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhebrewmodel.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhebrewmodel.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhebrewmodel.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhungarianmodel.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhungarianmodel.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhungarianmodel.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langthaimodel.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langthaimodel.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langthaimodel.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/latin1prober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/latin1prober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/latin1prober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcharsetprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcharsetprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcharsetprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcsgroupprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcsgroupprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcsgroupprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcssm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcssm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcssm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcharsetprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcharsetprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcharsetprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcsgroupprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcsgroupprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcsgroupprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sjisprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sjisprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sjisprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/universaldetector.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/universaldetector.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/universaldetector.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/utf8prober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/utf8prober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/utf8prober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/__init__.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/__init__.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5freq.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5freq.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5freq.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5prober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5prober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5prober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/chardistribution.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/chardistribution.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/chardistribution.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetgroupprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetgroupprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetgroupprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/codingstatemachine.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/codingstatemachine.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/codingstatemachine.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/constants.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/constants.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/constants.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escsm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escsm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escsm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/eucjpprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/eucjpprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/eucjpprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrfreq.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrfreq.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrfreq.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwfreq.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwfreq.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwfreq.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312freq.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312freq.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312freq.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312prober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312prober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312prober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/hebrewprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/hebrewprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/hebrewprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jisfreq.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jisfreq.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jisfreq.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jpcntx.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jpcntx.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jpcntx.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langbulgarianmodel.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langbulgarianmodel.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langbulgarianmodel.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langcyrillicmodel.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langcyrillicmodel.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langcyrillicmodel.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langgreekmodel.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langgreekmodel.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langgreekmodel.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhebrewmodel.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhebrewmodel.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhebrewmodel.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhungarianmodel.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhungarianmodel.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhungarianmodel.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langthaimodel.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langthaimodel.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langthaimodel.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/latin1prober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/latin1prober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/latin1prober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcharsetprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcharsetprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcharsetprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcsgroupprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcsgroupprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcsgroupprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcssm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcssm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcssm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcharsetprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcharsetprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcharsetprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcsgroupprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcsgroupprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcsgroupprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sjisprober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sjisprober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sjisprober.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/test.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/test.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/test.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/universaldetector.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/universaldetector.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/universaldetector.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/utf8prober.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/utf8prober.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/utf8prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/big5freq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/big5freq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/big5freq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/big5prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/big5prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/big5prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/chardistribution.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/chardistribution.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/chardistribution.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/charsetgroupprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/charsetgroupprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/charsetgroupprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/charsetprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/charsetprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/charsetprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/codingstatemachine.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/codingstatemachine.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/codingstatemachine.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/compat.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/compat.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/compat.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/constants.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/constants.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/constants.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/escprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/escprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/escprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/escsm.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/escsm.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/escsm.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/eucjpprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/eucjpprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/eucjpprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/euckrfreq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/euckrfreq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/euckrfreq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/euckrprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/euckrprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/euckrprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/euctwfreq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/euctwfreq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/euctwfreq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/euctwprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/euctwprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/euctwprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/gb2312freq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/gb2312freq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/gb2312freq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/gb2312prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/gb2312prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/gb2312prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/hebrewprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/hebrewprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/hebrewprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/jisfreq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/jisfreq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/jisfreq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/jpcntx.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/jpcntx.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/jpcntx.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/langbulgarianmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/langbulgarianmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/langbulgarianmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/langcyrillicmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/langcyrillicmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/langcyrillicmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/langgreekmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/langgreekmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/langgreekmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/langhebrewmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/langhebrewmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/langhebrewmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/langhungarianmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/langhungarianmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/langhungarianmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/langthaimodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/langthaimodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/langthaimodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/latin1prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/latin1prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/latin1prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/mbcharsetprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/mbcharsetprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/mbcharsetprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/mbcsgroupprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/mbcsgroupprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/mbcsgroupprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/mbcssm.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/mbcssm.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/mbcssm.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/sbcharsetprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/sbcharsetprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/sbcharsetprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/sbcsgroupprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/sbcsgroupprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/sbcsgroupprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/sjisprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/sjisprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/sjisprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/universaldetector.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/universaldetector.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/universaldetector.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/utf8prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/utf8prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade/utf8prober.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/__init__.pyo
@@ -295,9 +184,6 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/util.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/util.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/util.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/safe_mode.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/safe_mode.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/safe_mode.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/sessions.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/sessions.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/sessions.pyo
@@ -310,12 +196,11 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/utils.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/utils.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/utils.pyo
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/ssl_match_hostname
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
+@dirrmtry %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/ssl_match_hostname
+@dirrmtry %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages
+@dirrmtry %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3
+@dirrmtry %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/charade
+@dirrmtry %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages
+@dirrmtry %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests
+@dirrmtry %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrmtry %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2013-04-26 09:40:05 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!